Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class PoolQuery

    java.lang.Object
      |
      +--com.bea.commerce.ebusiness.price.engine.pool.PoolQuery

public class PoolQuery
extends Object

Field Summary
`static String` | `cName`

Constructor Summary
`PoolQuery()`

Method Summary
`ItemObject` | `getNextReplyQualifier(int setNumber)` Select one item from the qualifier set for this setNumber.
`List` | `getNextReplyQualifier(List qualifiers, int setNumber, int count)` Return null if the count is zero or no more qualifiers exist in the particular set.
`ItemObject` | `getNextReplyTarget(int setNumber)` Select one item from the qualifier set for this setNumber.
`List` | `getNextReplyTarget(List targets, int setNumber, int count)` Return null if the count is zero or no more targets exist in the particular set.
`List` | `getReplyQualifierSets()`
`List` | `getReplyTargetSets()`
`List` | `getRequestQualifiers()`
`List` | `getRequestTargets()`
`boolean` | `isSatisfied()`
`void` | `set(List requestQualifiers, List requestTargets)`
`void` | `setIsSatisfied(boolean value)`
`protected void` | `setReplyQualifiers(List replyQualifierSets, Set allQualifiers)`
`protected void` | `setReplyTargets(List replyTargetSets, Set allTargets)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final String cName

See Also:
  Constant Field Values

Constructor Detail

### PoolQuery

    public PoolQuery()

Method Detail

### set

    public void set(List requestQualifiers,
                    List requestTargets)

### setReplyQualifiers

    protected void setReplyQualifiers(List replyQualifierSets,
                                      Set allQualifiers)

### setReplyTargets

    protected void setReplyTargets(List replyTargetSets,
                                   Set allTargets)

### getRequestQualifiers

    public List getRequestQualifiers()

  Returns:
    List of QuerySpec objects

### getRequestTargets

    public List getRequestTargets()

  Returns:
    List of QuerySpec objects

### getReplyQualifierSets

    public List getReplyQualifierSets()

### getReplyTargetSets

    public List getReplyTargetSets()

### isSatisfied

    public boolean isSatisfied()

### setIsSatisfied

    public void setIsSatisfied(boolean value)

### getNextReplyQualifier

    public ItemObject getNextReplyQualifier(int setNumber)

  Select one item from the qualifier set for this setNumber. Return the one item found or null if no item is available.

### getNextReplyTarget

    public ItemObject getNextReplyTarget(int setNumber)

  Select one item from the qualifier set for this setNumber. Return the one item found or null if no item is available.

### getNextReplyQualifier

    public List getNextReplyQualifier(List qualifiers,
                                      int setNumber,
                                      int count)

  Return null if the count is zero or no more qualifiers exist in the particular set. Otherwise populate the list passed in with up to count objects.

### getNextReplyTarget

    public List getNextReplyTarget(List targets,
                                   int setNumber,
                                   int count)

  Return null if the count is zero or no more targets exist in the particular set. Otherwise populate the list passed in with up to count objects.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved